package vn.azteam.tpf.service.dto;

import java.time.Instant;
import java.io.Serializable;
import java.util.Objects;

/**
 * A DTO for the TBStockUpdate entity.
 */
public class TBStockUpdateDTO implements Serializable {

    private Long id;

    private Instant updateDate;

    private Integer action;

    private Double quantity;

    private String description;

    private Long tbSuppliesOrderId;

    private Long tbSuppliesInWarehouseId;

    private Long tbActivityId;

    private String tbEntityName;

    private Long tbCustomerId;

    private Long tbBlockDetailsId;

    private String tbBlockDetailsCode;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Instant getUpdateDate() {
        return updateDate;
    }

    public void setUpdateDate(Instant updateDate) {
        this.updateDate = updateDate;
    }

    public Integer getAction() {
        return action;
    }

    public void setAction(Integer action) {
        this.action = action;
    }

    public Double getQuantity() {
        return quantity;
    }

    public void setQuantity(Double quantity) {
        this.quantity = quantity;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Long getTbSuppliesOrderId() {
        return tbSuppliesOrderId;
    }

    public void setTbSuppliesOrderId(Long tBSuppliesOrderId) {
        this.tbSuppliesOrderId = tBSuppliesOrderId;
    }

    public Long getTbSuppliesInWarehouseId() {
        return tbSuppliesInWarehouseId;
    }

    public void setTbSuppliesInWarehouseId(Long tBSuppliesInWarehouseId) {
        this.tbSuppliesInWarehouseId = tBSuppliesInWarehouseId;
    }

    public Long getTbActivityId() {
        return tbActivityId;
    }

    public void setTbActivityId(Long tBActivityId) {
        this.tbActivityId = tBActivityId;
    }

    public String getTbEntityName() {
        return tbEntityName;
    }

    public void setTbEntityName(String tbEntityName) {
        this.tbEntityName = tbEntityName;
    }

    public Long getTbBlockDetailsId() {
        return tbBlockDetailsId;
    }

    public void setTbBlockDetailsId(Long tbBlockDetailsId) {
        this.tbBlockDetailsId = tbBlockDetailsId;
    }

    public String getTbBlockDetailsCode() {
        return tbBlockDetailsCode;
    }

    public void setTbBlockDetailsCode(String tbBlockDetailsCode) {
        this.tbBlockDetailsCode = tbBlockDetailsCode;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }

        TBStockUpdateDTO tBStockUpdateDTO = (TBStockUpdateDTO) o;
        if (tBStockUpdateDTO.getId() == null || getId() == null) {
            return false;
        }
        return Objects.equals(getId(), tBStockUpdateDTO.getId());
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(getId());
    }

    @Override
    public String toString() {
        return "TBStockUpdateDTO{" +
            "id=" + getId() +
            ", updateDate='" + getUpdateDate() + "'" +
            ", action=" + getAction() +
            ", quantity=" + getQuantity() +
            ", description='" + getDescription() + "'" +
            ", tbSuppliesOrder=" + getTbSuppliesOrderId() +
            ", tbSuppliesInWarehouse=" + getTbSuppliesInWarehouseId() +
            ", tbCustomer=" + getTbCustomerId() +
            ", tbActivity=" + getTbActivityId() +
            ", tbBlockDetails=" + getTbBlockDetailsId() +
            "}";
    }

    public Long getTbCustomerId() {
        return tbCustomerId;
    }

    public void setTbCustomerId(Long tbCustomerId) {
        this.tbCustomerId = tbCustomerId;
    }
}
